Name:           rosa-launcher
Version:        2.0.0
Release:        5%{?dist}
Summary:        ROSA Desktop Application Launcher
 
License:        GPLv3
URL:            http://www.rosalab.ru/
Source0:        http://mirror.rosalab.ru/rosa2012.1/repository/SRPMS/main/updates/%{name}-%{version}.tar.gz

BuildRequires:  kdelibs4-devel
BuildRequires:  qjson-devel
BuildRequires:  gettext-devel
Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

 
%description
ROSA Desktop Application Launcher
 
 
%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} .. 
popd
make %{?_smp_mflags} -C %{_target_platform}
 
%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

mv %{buildroot}%{_kde4_datadir}/rosa-launcher/assets/rosa-icon.png %{buildroot}%{_kde4_datadir}/rosa-launcher/assets/rosa-icon-backup.png
ln -s %{_kde4_iconsdir}/oxygen/128x128/apps/kde.png %{buildroot}%{_kde4_datadir}/rosa-launcher/assets/rosa-icon.png
sed -i 's/rosalauncher/kde/' %{buildroot}%{_kde4_datadir}/kde4/services/plasma-applet-rosastarter.desktop

%post
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
fi
 
%files
%{_kde4_bindir}/rosa-launcher 
%{_kde4_datadir}/kde4/services/plasma-applet-rosastarter.desktop
%{_kde4_datadir}/rosa-launcher/*
%{_kde4_datadir}/timeframe/*
%{_kde4_datadir}/locale
%{_kde4_libdir}/kde4/plasma_applet_rosastarter.so
%{_kde4_libdir}/libtimeframe.so
 
%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 29 2013 Joseph Marrero <jmarrero@fedoraproject.org> 2.0.0-3
- Change rosa icon for the KDE icon in the menu and applet.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Dec 23 2012 Joseph Marrero <jmarrero@fedoraproject.org> 2.0.0-1
- Update to rosa-launcher-2.0.0

* Sun Aug 26 2012 Joseph Marrero <jmarrero@fedoraproject.org> 0.34.18-1
- Update to rosa-launcher-0.34.18 and fix source.

* Wed Aug 08 2012 Joseph Marrero <jmarrero@fedoraproject.org> 0.34.12-5
- Remove installation of the Mandriva Icon and create symlink to Fedora Icon.

* Wed Aug 08 2012 Joseph Marrero <jmarrero@fedoraproject.org> 0.34.12-4
- fix Source on spec file.

* Wed Aug 08 2012 Joseph Marrero <jmarrero@fedoraproject.org> 0.34.12-3
- fix icon installation

* Tue Jul 17 2012 Rex Dieter <rdieter@fedoraproject.org> 0.34.12-2
- fix cmake build

* Mon Jul 16 2012 Rex Dieter <rdieter@fedoraproject.org>
- first try
